<?php
  session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];
	include '../../conexion/conn.php';
$caja_id=$_REQUEST['caja_id'];
$hora=$_REQUEST['hora'];
  $modulo=$_REQUEST['modulo'];
  $cant_cajas=$_REQUEST['cant_cajas'];
  $embalaje=$_REQUEST['embalaje'];
  $color=$_REQUEST['color'];
  $calibre=$_REQUEST['calibre'];
  $peso=$_REQUEST['peso'];
  $desgrane=$_REQUEST['desgrane'];
  $pudricion=$_REQUEST['pudricion'];
  $observacion=$_REQUEST['observacion'];

$contador=0;
$suma=0;
  if($embalaje!=""){
    $contador++;
    $suma+=$embalaje;
  }

  if($color!=""){
    $contador++;
    $suma+=$color;
  }

  if($calibre!=""){
    $contador++;
    $suma+=$calibre;
  }

  if($peso!=""){
    $contador++;
    $suma+=$peso;
  }

  if($desgrane!=""){
    $contador++;
    $suma+=$desgrane;
  }

  if($pudricion!=""){
    $contador++;
    $suma+=$pudricion;
  }

  $prom=$suma/$contador;

  
  	$result=mysql_query("UPDATE cal_caja_pla_huerto 
      SET hora='$hora',
      modulo='$modulo',
      cant_cajas='$cant_cajas',
      prom='$prom',
      embalaje='$embalaje',
      color='$color',
      calibre='$calibre',
      peso='$peso',
      desgrane='$desgrane',
      pudricion='$pudricion',
      observacion='$observacion'
      
      WHERE caja_id='$caja_id'");

  

  
					
			

	

  	

	if($result){
		echo json_encode(array('success'=>true));
	}else{
		echo json_encode(array('success'=>false));
	}






?>